package com.engine.recruit.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.recruit.service.OfferService;
import com.engine.recruit.service.impl.OfferServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/10/30
 * @version: 1.0
 */
public class OfferWrapper extends Service {
    private OfferService getOfferService(User user) {
        return ServiceUtil.getService(OfferServiceImpl.class, user);
    }

    public Map<String, Object> getOfferContent(Map<String, Object> params) {
        return getOfferService(user).getOfferContent(params);
    }

    public Map<String, Object> updateOfferStatus(Map<String, Object> params) {
        return getOfferService(user).updateOfferStatus(params);
    }
}
